MONGOC_APM_SERVER_CHANGED_GET_PREVIOUS_DESCRIPTION(3)

NAME
mongoc_apm_server_changed_get_previous_description - mongoc_apm_server_changed_get_previous_description()

SYNOPSIS

const mongoc_server_description_t *
mongoc_apm_server_changed_get_previous_description (
   const mongoc_apm_server_changed_t *event);

Returns this event's previous description. The data is only valid in the scope of the callback that receives this event; copy it if it will be accessed after the callback returns.

PARAMETERS

•   event: A mongoc_apm_server_changed_t.

RETURNS

A mongoc_server_description_t that should not be modified or freed.

SEE ALSO:
Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc